function Array(size,value) 
	local array = {}
	for i = 1, size do
		array[i]=value
	end
	return array
end

function totable(t,match)
	local cmd = {}
	if not match then match = "[^%s]+" end
	for word in string.gmatch(t, match) do
		table.insert(cmd, word)
	end 
	return cmd 
end

function UpdateHudeImages()
	HUDImage = image('gfx/Blocker Game/status.png', 550, 350, 2)
	--imagescale(HUDImage, 130,28)
	imagealpha(HUDImage, 0.9)
end

function rp_msg(clr,txt)
	msg(""..clr..""..txt)
end

function rp_msg2(id,clr,txt)
	msg2(id,""..clr..""..txt)
end

function hudtext2(id,tid,color,txt,x,y)
     local toprint = (""..color.." "..txt)
     parse('hudtxt2 '..id..' '..tid..' "'..toprint..'" '..x.." "..y)
end

cmd_param = {"@help","@sayto","@buylic","@slapme"}

function ExecuteParam(id,param,txt)
	local p = totable(txt)
	local pl = tonumber(p[1])
	if param==cmd_param[1]then
		rp_msg2(id,"000255000","Press F1 To see the Help")
	elseif param==cmd_param[2]then
		if pl ~= nil then
			if player(pl,"exists") then
				local msg= string.sub(txt, #p[1]+2, #txt)
				rp_msg2(pl,"235143041",string.format("%s (PRIVATE): %s", player(id, "name"), msg))
				rp_msg2(id,"235143041",string.format("Private Message To %s: %s", player(pl, "name"), msg))
			else
				rp_msg2(id,"255000000","This player does not exist!")
			end
		end
	end
end

function checkbound(id,Bnd)
	local XPlayer = player(id,"tilex")
	local YPlayer = player(id,"tiley")
	if (XPlayer >= Bnd[1][1] and XPlayer <= Bnd[2][1] and YPlayer >= Bnd[1][2] and YPlayer <= Bnd[2][2]) then
		return true
	end
	return false
end

function removeitem(itemid)
	parse("removeitem "..itemid)
end

function nmn(id)
	rp_msg2(id,"255000000","Not enough money!@C")
	
	
function mlicense(id)
	rp_msg2(id,"255000000","You must to be licensed to build this!")
end

function mlicense2(id)
	rp_msg2(id,"255000000","You cant build this!@C")
end
end

function checkwep(id,wep)
     local weapons = playerweapons(id)
     for i = 1, #weapons do
          if weapons[i] == wep then
               return 1
          end
     end
     return 0
end

pl_names = Array(32,"")
function b_names()
	for i = 1,32 do
		if player(i,"exists") then
			pl_names[i]=player(i,"name")
		else
			pl_names[i]=""
		end
	end
end

function ls_1(id)
	b_names()
	menu(id,"License System Page 1@b,"..pl_names[1]..","..pl_names[2]..","..pl_names[3]..","..pl_names[4]..","..pl_names[5]..","..pl_names[6]..","..pl_names[7]..",Back,Next")
end

function ls_2(id)
	b_names()
	menu(id,"License System Page 2@b,"..pl_names[8]..","..pl_names[9]..","..pl_names[10]..","..pl_names[11]..","..pl_names[12]..","..pl_names[13]..","..pl_names[14]..",Back,Next")
end

function ls_3(id)
	b_names()
	menu(id,"License System Page 3@b,"..pl_names[15]..","..pl_names[16]..","..pl_names[17]..","..pl_names[18]..","..pl_names[19]..","..pl_names[20]..","..pl_names[21]..",Back,Next")
end

function ls_4(id)
	b_names()
	menu(id,"License System Page 4@b,"..pl_names[22]..","..pl_names[23]..","..pl_names[24]..","..pl_names[25]..","..pl_names[26]..","..pl_names[27]..","..pl_names[28]..",Back,Next")
end

function ls_5(id)
	b_names()
	menu(id,"License System Page 5@b,"..pl_names[29]..","..pl_names[30]..","..pl_names[31]..","..pl_names[32]..",,,,Back")
end

function StateUser(id)
	if id~=nil then
		if player(id,"exists") then
			if UsgnIds[id]>0 then
				hudtext2(id,id+1,"255255255","LOGIN: "..UsgnIds[id],500,314)
			else
				hudtext2(id,id+1,"255255255","NOT LOGIN",500,314)
			end
			updatehud(id)
		end
	end
end
